/*
 * 01.01 -- basic demo
 * for miniPICkit by z0r0 & res
 *
 * kit connection:
 *  GP0: LED0 (red)
 *  GP1: LED1 (green)
 *  GP2: BTN0 (via jumper J1) + extension header
 *  GP4,5: extension header
 */


#include <pic.h>

// fuses
__CONFIG(MCLRE_OFF & WDTE_OFF & FOSC_INTRCIO);




void main(void) {
    int cntr = 0;

    /* init */
    CMCON = 7;      // disable comparator
    ANSEL = 0;      // disble analog functions
    TRISIO = 0;     // set all pins as output
    TRISIO2 = 1;      // set GP2 as input
    TRISIO4 = 1;

    // analog
    ANS3 = 1;       // turn on ANS3 on GP4
    VCFG = 0;       // ad reference: 0 = Vdd, 1 = ref
    ADFM = 0 ;       // aligned
    CHS0 = 1;       // select ANS3
    CHS1 = 1;
    ADON = 1;


    /* main program */
    GPIO0 = 1;
    asm("nop");     // prevent read-modify-write when assigning constant
    GPIO1 = 0;
    asm("nop");



    /* main loop */

    do {
        GO_nDONE = 1;
        while(GO_nDONE);


        cntr = 0x500  + ((ADRESH) << 5);

        //cntr = 0x500;
        while (--cntr) {};


        if(GPIO2){          // poll the button status
            GPIO0 = !GPIO0; // read and assign to GP0
            GPIO1 = !GPIO0;
        }else{
            GPIO0 = !GPIO0;
            GPIO1 = GPIO0;
        }
    } while (1);
}



